<template>
  <div class="container">
    <div class="logo_img">
      <img alt="Finestar logo" src="../assets/FSD_logo.jpg" />
    </div>
    <h2 class="gray">Finestar Jewellery & Diamonds Tutorial</h2>
    <div>
      <router-link to="/introduction">
        <section @click="getStarted()" class="centered-container">
          <a class="link link--arrowed" href="#"
            >Start now
            <svg
              class="arrow-icon"
              xmlns="http://www.w3.org/2000/svg"
              width="32"
              height="32"
              viewBox="0 0 32 32"
            >
              <g
                fill="none"
                stroke="#DAA520"
                stroke-width="1.5"
                stroke-linejoin="round"
                stroke-miterlimit="10"
              >
                <circle
                  class="arrow-icon--circle"
                  cx="16"
                  cy="16"
                  r="15.12"
                ></circle>
                <path
                  class="arrow-icon--arrow"
                  d="M16.14 9.93L22.21 16l-6.07 6.07M8.23 16h13.98"
                ></path>
              </g></svg
          ></a>
        </section>
      </router-link>
    </div>
  </div>
</template>

<script>
export default {
  methods: {
    getStarted() {},
  },
};
</script>

<style scoped>
.container {
  margin-top: 10%;
  text-align: center !important;
}
.logo_img img {
  width: 30%;
}
.gray {
  color: #696969;
}
.centered-container {
  background-color: #ffffff;
  display: inline-flex;
  padding: 1rem;
  border-radius: 0.125rem;
  border: 1px solid rgba(0, 0, 0, 0.1);
  box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.04);
}

.link {
  color: #daa520;
  cursor: pointer;
  font-weight: 400;
  text-decoration: none;
}

.link--arrowed {
  display: inline-block;
  height: 2rem;
  line-height: 2rem;
}
.link--arrowed .arrow-icon {
  position: relative;
  top: -1px;
  transition: transform 0.3s ease;
  vertical-align: middle;
}
.link--arrowed .arrow-icon--circle {
  transition: stroke-dashoffset 0.3s ease;
  stroke-dasharray: 95;
  stroke-dashoffset: 95;
}
.link--arrowed:hover .arrow-icon {
  transform: translate3d(5px, 0, 0);
}
.link--arrowed:hover .arrow-icon--circle {
  stroke-dashoffset: 0;
}
</style>